/*
The MIT License (MIT)

Copyright (c) 2015 Lachlan Tychsen-Smith (lachlan.ts@gmail.com)

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/

		.syntax unified
		.cpu	cortex-a9
		.fpu	neon

		.section	.text.CubismMatrixMulNeon
		.balign		2
		.thumb
		.thumb_func

		.global		Multiply44Neon
		.type		Multiply44Neon, %function
Multiply44Neon:
		.fnstart
		vld1.32 		{d0, d1}, [r1]!
		vld1.32 		{d2, d3}, [r1]!
		vld1.32 		{d4, d5}, [r1]!
		vld1.32 		{d6, d7}, [r1]
		vld1.32 		{d16, d17}, [r0]!
		vld1.32 		{d18, d19}, [r0]!
		vld1.32 		{d20, d21}, [r0]!
		vld1.32 		{d22, d23}, [r0]

		vmul.f32 		q12, q8, d0[0]
		vmul.f32 		q13, q8, d2[0]
		vmul.f32 		q14, q8, d4[0]
		vmul.f32 		q15, q8, d6[0]
		vmla.f32 		q12, q9, d0[1]
		vmla.f32 		q13, q9, d2[1]
		vmla.f32 		q14, q9, d4[1]
		vmla.f32 		q15, q9, d6[1]
		vmla.f32 		q12, q10, d1[0]
		vmla.f32 		q13, q10, d3[0]
		vmla.f32 		q14, q10, d5[0]
		vmla.f32 		q15, q10, d7[0]
		vmla.f32 		q12, q11, d1[1]
		vmla.f32 		q13, q11, d3[1]
		vmla.f32 		q14, q11, d5[1]
		vmla.f32 		q15, q11, d7[1]

		vst1.32 		{d24, d25}, [r2]!
		vst1.32 		{d26, d27}, [r2]!
		vst1.32 		{d28, d29}, [r2]!
		vst1.32 		{d30, d31}, [r2]
		.fnend
		.size	Multiply44Neon, .-Multiply44Neon